#!/bin/sh

. install2-init-functions
. shell-config

desktop_kernel=std-def

# Custom: two kernels
if grep -q '/evms/profiles/none.*action apply' /tmp/wizard.log ; then
	cd /var/lib/install3/lists/
	for f in $(grep -l 'kernel.*-el-smp' .base *); do
		sed "s/\(kernel.*\)-el-smp/\1-$desktop_kernel/" $f > $f.tmp
		cat $f.tmp >> $f
	done
fi

# Desktop: un-def
if grep -q '/evms/profiles/workstation.*action apply' /tmp/wizard.log ; then
	cd /var/lib/install3/lists/
	subst "s/\(kernel.*\)-el-smp/\1-$desktop_kernel/"  .base *
fi
